imce.hooks.load.push(function() {
  imce.opAdd({
    name : 'search',
    title : 'Search',
    content : jQuery('#imce-search-form')
  });
  jQuery('#imce-search-form').submit(function() {
    jQuery('#imce-search-results div').html('Searching ' + ((imce.conf.dir == '.') ? 'all ' : imce.conf.dir + ' and sub') +'directories for ' + jQuery('#edit-imce-search-term').val());
    jQuery('#imce-search-results div').addClass('loading');
    var case_insensitive = 0;
    jQuery('#edit-imce-search-case:checked').each(function() { case_insensitive = 1; });
    jQuery.ajax({
      url: Drupal.settings.basePath + 'imce_search_callback/' + case_insensitive + '/' + encodeURI(imce.conf.dir + '/' + jQuery('#edit-imce-search-term').val()),
      type: 'GET',
      success: function(serverdata, status, xmlhttp) {
        data = eval('(' + serverdata + ')');
        var filelist = jQuery.map(data.files, function(fullpath, index) {
          var li = document.createElement('li');
          jQuery(li).click(function () {
            file = fullpath.substr(fullpath.lastIndexOf('/') + 1);
            dir = fullpath.substr(0, fullpath.lastIndexOf('/')) || '.';
            imce.imceSearch.navigate(dir, file);
          }).css('cursor','pointer').addClass('link');
          if (index > 10) {
            jQuery(li).addClass('toggle');
          }
          jQuery(li).html(fullpath);
          return li;
        });
        jQuery('#imce-search-results ul').hide();
        jQuery('#imce-search-results ul').empty().append(filelist);
        jQuery('#imce-search-results ul li[class="toggle"]').hide();
        jQuery('#imce-search-results ul').show();
        jQuery('#imce-search-results div').html(data.search + '. ' + data.files.length + ' results found. ');
        if (data.files.length > 10) {
          var toggle =  document.createElement('a');
          jQuery(toggle).append('Show all');
          jQuery(toggle).toggle(function () {
              jQuery(this).html('Short list');
              jQuery('#imce-search-results ul li[class*="toggle"]').show();
            },
            function () {
              jQuery(this).html('Show all');
              jQuery('#imce-search-results ul li[class*="toggle"]').hide();
            }
          );
          jQuery('#imce-search-results div').append(toggle);
        }
        jQuery('#imce-search-results div').removeClass('loading');
      }
    });
    return false;
  });

  imce.hooks.navigate.push(function (row) {
    // only react to navigation hooks as a result of search
    if (imce.imceSearch.selectionPending()) {
      imce.imceSearch.updateSelection();
    }
  });

  imce.imceSearch = {
    navigate : function (dir, file) {
      // imce fids are escaped
      this.file = escape(file);
      // select file in current directory
      // do not call imce.navigate as it results in prompt to refresh
      if (dir === imce.conf.dir) {
        this.updateSelection();
        return;
      }
      // check to see if directory is already cached, or some portion of the path
      var cachedDir = this.getCachedDirPath(dir);
      if(dir != cachedDir) {
        // full path is not cached, add intermediate dirs to tree and navigate
        this.createSubdirs(dir, cachedDir);
      }
      imce.navigate(dir);
    },
    selectionPending: function() {
      return !!this.file;
    },
    updateSelection: function() {
      imce.highlight(this.file);
      // scroll file into view when above/below visible pane
      currentScrollTop = jQuery(imce.SBW).scrollTop();
      var distanceOffscreen = jQuery(imce.selected[this.file]).offset().top - jQuery(imce.SBW).height();
      var scrollTo = currentScrollTop + distanceOffscreen + jQuery(imce.SBW).height() - 100;
      jQuery(imce.SBW).scrollTop(scrollTo);
      this.file = null;
    },
    getCachedDirPath: function(dir) {
      var parentDir;
      for(var key in imce.tree) {
        if (dir.indexOf(key) === 0) {
          // if there are multiple matches, take the longest path available
          if(!parentDir || parentDir.length < key.length) {
            parentDir = key;
          }
        }
      }
      return parentDir;
    },
    createSubdirs: function (dir, parentDir) {
      // get portion of dir path that needs to be loaded
      var r = new RegExp('^' + parentDir + '?/');
      var dirsToAdd = dir.replace(r, '').split('/');
      // add an "empty" directory for each path part to imce.tree
      // clicking an "empty" directory will still issue a callback for data
      for(i=0;i<dirsToAdd.length; i++) {
        if(dirsToAdd[i]) {
          imce.dirSubdirs(parentDir, [dirsToAdd[i]]);
          parentDir = parentDir + '/' + dirsToAdd[i];
        }
      }
    }
  };
});
